# The Customer Portal Session object

### The Customer Portal Session object

```json
{
  "id": "bps_1MrSjzLkdIwHu7ixex0IvU9b",
  "object": "billing_portal.session",
  "configuration": "bpc_1MAhNDLkdIwHu7ixckACO1Jq",
  "created": 1680210639,
  "customer": "cus_NciAYcXfLnqBoz",
  "flow": null,
  "livemode": false,
  "locale": null,
  "on_behalf_of": null,
  "return_url": "https://example.com/account",
  "url": "https://billing.stripe.com/p/session?secret=test_YWNjdF8xTTJKVGtMa2RJd0h1N2l4LF9OY2lBYjJXcHY4a2NPck96UjBEbFVYRnU5bjlwVUF50100BUtQs3bl"
}
```

## Attributes

- `id` (string)
  Unique identifier for the object.

- `object` (string, value is "billing_portal.session")
  String representing the object’s type. Objects of the same type share the same value.

- [`after_expiration`](https://docs.stripe.com/api/customer_portal/sessions/object.md?query=after_expiration) (object, nullable)
  Behavior after the portal session expires.

- `configuration` (string, expandable (can be expanded into an object with the `expand` request parameter))
  The configuration used by this session, describing the features available.

- `created` (timestamp)
  Time at which the object was created. Measured in seconds since the Unix epoch.

- `customer` (string)
  The ID of the customer for this session.

- `customer_account` (string, nullable)
  The ID of the account for this session.

- [`flow`](https://docs.stripe.com/api/customer_portal/sessions/object.md?query=flow) (object, nullable)
  Information about a specific flow for the customer to go through. See the [docs](https://docs.stripe.com/customer-management/portal-deep-links.md) to learn more about using customer portal deep links and flows.

- `livemode` (boolean)
  If the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.

- `locale` (enum, nullable)
  The IETF language tag of the locale Customer Portal is displayed in. If blank or auto, the customer’s `preferred_locales` or browser’s locale is used.
Possible enum values:
  - `auto`
  - `bg`
  - `cs`
  - `da`
  - `de`
  - `el`
  - `en`
  - `en-AU`
  - `en-CA`
  - `en-GB`
  - `en-IE`
  - `en-IN`
  - `en-NZ`
  - `en-SG`
  - `es`
  - `es-419`
  - `et`
  - `fi`
  - `fil`
  - `fr`
  - `fr-CA`
  - `hr`
  - `hu`
  - `id`
  - `it`
  - `ja`
  - `ko`
  - `lt`
  - `lv`
  - `ms`
  - `mt`
  - `nb`
  - `nl`
  - `pl`
  - `pt`
  - `pt-BR`
  - `ro`
  - `ru`
  - `sk`
  - `sl`
  - `sv`
  - `th`
  - `tr`
  - `vi`
  - `zh`
  - `zh-HK`
  - `zh-TW`

- `on_behalf_of` (string, nullable)
  The account for which the session was created on behalf of. When specified, only subscriptions and invoices with this `on_behalf_of` account appear in the portal. For more information, see the [docs](https://docs.stripe.com/connect/separate-charges-and-transfers.md#settlement-merchant). Use the [Accounts API](https://docs.stripe.com/api/accounts/object.md#account_object-settings-branding) to modify the `on_behalf_of` account’s branding settings, which the portal displays.

- `return_url` (string, nullable)
  The URL to redirect customers to when they click on the portal’s link to return to your website.

- `url` (string)
  The short-lived URL of the session that gives customers access to the customer portal.
